import request from '@/utils/request'

// 查询notice列表
export function listNotice(query) {
  return request({
    url: '/system/noticeData/list',
    method: 'get',
    params: query
  })
}

// 查询notice详细
export function getNotice(id) {
  return request({
    url: '/system/noticeData/' + id,
    method: 'get'
  })
}

// 新增notice
export function addNotice(data) {
  return request({
    url: '/system/noticeData',
    method: 'post',
    data: data
  })
}

// 修改notice
export function updateNotice(data) {
  return request({
    url: '/system/noticeData',
    method: 'put',
    data: data
  })
}

// 删除notice
export function delNotice(id) {
  return request({
    url: '/system/noticeData/' + id,
    method: 'delete'
  })
}
// 导出
export function exportNotice(data){
  return request({
        url:'/excel/export/noticeData',
        method:'get',
        responseType:'blob',
        data:data
      }

  )
}
